%define name ruby-gtktrayicon
%define version 0.1.0
%define release 3mdk
%define rubyver 1.8

Summary: Ruby binding for the System Tray Protocol Specification
Name: %name
Version: %version
Release: %release
License: LGPL
Group: Development/Other
URL: http://ruby-gnome2.sourceforge.jp/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRequires: ruby-devel ruby-gnome2-devel gtk2-devel

%{expand:%%define ruby_libdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%{expand:%%define ruby_archdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

Requires: ruby >= %{rubyver}
Requires: ruby-gtk2

%description
Ruby/GtkTrayIcon is a Ruby binding for the System Tray Protocol Specification
based on code from the EGG library.

%prep 
%setup -q

%build
ruby extconf.rb
%make

%install
rm -rf %buildroot
make install DESTDIR=%buildroot libdir=%buildroot%{_libdir} archdir=%buildroot%ruby_archdir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{ruby_archdir}/gtktrayicon.so
%{ruby_libdir}/gtktrayicon.rb
%doc ChangeLog README sample COPYING.LIB

%changelog
* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 0.1.0-3mdk
- rebuild

* Tue Aug 17 2004 Pascal Terjan <pterjan@mandrake.org> 0.1.0-2mdk
- ad BuildRequires

* Wed Jun 02 2004 Pascal Terjan <pterjan@mandrake.org> 0.1.0-1mdk
- first release

